﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="default.aspx.cs" Inherits="index" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>ExorLive API Example</title>
	<style type="text/css">
		.smallwidget 
		{
			float:left;
			width: 500px;
		}
		.largewidget 
		{
			width: 800px;
			clear:both;
		}
		.el-widget 
		{
			border: 4px double black;
			border-radius: 12px;
			box-shadow: 10px 10px 5px #888;
			margin: 0px 20px 15px 0px;
		}
		.el-widget-header 
		{
			border: 0px none !important;
			border-bottom: 1px solid black !important;
		}
		.el-widget-body 
		{
			border: 0px none !important;
		}
	</style>
</head>
<body>
<h1>ExorLive API Example</h1>
    <form id="form1" runat="server">
	<asp:ScriptManager ID="ScriptManager1" runat="server" EnableCdn="true" EnablePageMethods="true" />
    <div id ="divUserProfile" style="background-color: Yellow; width:300px; float: right;">Userprofile</div>

	<h2>Remote control API</h2>
	<button onclick="ExorLive.app.open(function() {alert('ExorLive has been opened!');}); return false;">Open ExorLive</button>
	<button onclick="ExorLive.app.isOpen() ? alert('Yes!') : alert('No.'); return false;">Is ExorLive open?</button><br />
	<label for="inpWorkout">Search for workout:</label><input id="inpWorkout" type="text" /><button onclick="ExorLive.app.queryWorkouts($('#inpWorkout').val()); return false;">Search</button><br />
	<label for="inpExercises">Search for exercise:</label><input id="inpExercises" type="text" /><button onclick="ExorLive.app.queryExercises($('#inpExercises').val()); return false;">Search</button><br />
	<label for="inpSelWorkout">Select a workout:</label><input id="inpSelWorkout" type="text" /><button onclick="alert($('#inpSelWorkout').val(); ExorLive.app.selectWorkout($('#inpSelWorkout').val()); return false;">Submit</button>
	<h3>Select user</h3>
		<label for="inpFornavn *">Fornavn:</label><input id="inpFornavn" type="text" /><br />
		<label for="inpEtternavn *">Etternavn:</label><input id="inpEtternavn" type="text" /><br />
		<label for="inpId *">Kunde ID:</label><input id="inpId" type="text" /><br />
		<label for="inpBirth">Fødselsdato:</label><input id="inpBirth" type="text" /><br />
		<label for="inpEmail">E-post:</label><input id="inpEmail" type="text" /><br />
	<button onclick="btnOpenUser(); return false;">Åpne brukeren</button>
	<br />

	<h2>Data API</h2>
	<button onclick="btnQueryWorkouts(); return false;">Søk etter treningsprogrammer</button>
	<button onclick="btnQueryExercises(); return false;">Søk etter øvelser</button>
	<h3 style="clear:both;">Results:</h3>
	<div id="result"></div>
	<h2>Widget API</h2>
	<div class="el-widget smallwidget" data-type="ExerciseList" data-query="lunge" data-query-type="2" data-autoload="true" data-length="5" data-description-max-chars="400">Utvalgte øvelser</div>
	<div class="el-widget smallwidget" data-type="WorkoutsList" data-query-type="0" data-location="0" data-start="0" data-length="10" data-query="" data-autoload="true">Treningsprogrammer</div>
	<div class="el-widget largewidget" data-type="Workout" data-id="" data-register="true" data-autoload="false">Klikk på et treningsprogram for å åpne</div>
    </form>
</body>
</html>
